import Image from 'components/Image'

export const meta = {
  title: 'Update #7',
  type: 'Article',
  description: 'Catch up on recently shipped code, and what we have coming',
  featuredImage: {
    src: '/images/blog/tracy-status.png',
    alt: 'tracy reading next to a status seal'
  },
  date: '2021-06-18',
  tags: [
    'opstrace',
    'observability',
    'metrics',
    'monitoring',
    'open source',
    'status'
  ],
  authors: ['chris']
}

Hello community!

[Grafana 8](https://grafana.com/docs/grafana/latest/whatsnew/whats-new-in-v8-0/)—announced
_[last week](https://grafana.com/blog/2021/06/08/grafana-8.0-unified-grafana-and-prometheus-alerts-live-streaming-new-visualizations-and-more/)_
at GrafanaCon—is now on our main branch, including rules and alerting for both
Cortex and Loki (yes, you can now alert on your logs too!). There’s a lot of
great stuff in there, and we’re planning to release it as soon as possible. Give
it a try and let us know how it goes
[in Slack](https://go.opstrace.com/community).

<Image
  alt="overview of Opstrace alerts in Grafana 8"
  src="/images/blog/2021-06/week-24-update/system-alerts.png"
  width={2474}
  height={1716}
/>

We’ve also added a page in the Opstrace UI to quickly link to everything
alert-related.

<Image
  alt="overivew of everything alert-related in one place"
  src="/images/blog/2021-06/week-24-update/alerts-overview.jpg"
  width={2932}
  height={1626}
/>

In case you missed it, we started some significant scale testing efforts, with
our [initial findings published](https://opstrace.com/blog/scaling-200m-series)
on our blog. (We tested 200M active series, with a beefy Opstrace instance using
18 ingesters. If you’d like to replicate our findings and run into any trouble,
please don’t hesitate to reach out—we’d love to help you and compare notes.

<Image
  alt="scale test reaching 200m active series"
  src="/images/blog/scaling-200m-18nodes-rampup-9and18ingesters.png"
  width={1836}
  height={912}
/>

In our most recent blog post we announced our latest integrations with the three
big cloud providers, AWS, GCP and Azure. These allow you to ingest and then
query/alert on metrics from parts of your stack that you may be overlooking. For
example, if you’re using ELB and RDS on AWS, then these services are critical
components that you need visibility into. Opstrace makes it easy to get started
collecting these.

Last but certainly not least, on the end-to-end testing front, we’ve done a ton
of work on browser testing, including starting
[multi-browser tests](https://github.com/opstrace/opstrace/pull/895). We also
fixed [a small bug](https://github.com/opstrace/opstrace/pull/865) that was
preventing Safari from working. Browse on.
